ffmpeg-4-libavdevice-devel-4.0.1-lp150.2.2.x86_64.rpm


Advertisement

Description

ffmpeg-4-libavdevice-devel - Development files for FFmpeg's device library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package name ffmpeg-4-libavdevice-devel
Package version 4.0.1
Package release lp150.2.2
Package architecture x86_64
Package type rpm
Installed size 22.04 KB
Download size 55.45 KB
Official Mirror ftp.gwdg.de
The libavdevice library provides a generic framework for grabbing from
and rendering to many common multimedia input/output devices, and
supports several input and output devices, including Video4Linux2, VfW,
DShow, and ALSA.
This subpackage contains the headers for FFmpeg libavcodec.

Alternatives

Package Version Architecture Repository
ffmpeg-4-libavdevice-devel-4.0.1-lp150.21.1.x86_64.rpm 4.0.1 x86_64 openSUSE Multimedia Libs
ffmpeg-4-libavdevice-devel-4.0.1-lp150.15.1.x86_64.rpm 4.0.1 x86_64 Packman
ffmpeg-4-libavdevice-devel-4.0.1-lp150.15.1.armv7hl.rpm 4.0.1 armv7hl Packman
ffmpeg-4-libavdevice-devel-4.0.1-lp150.15.1.aarch64.rpm 4.0.1 aarch64 Packman
ffmpeg-4-libavdevice-devel-4.0.1-lp150.10.1.x86_64.rpm 4.0.1 x86_64 openSUSE Update Oss
ffmpeg-4-libavdevice-devel-4.0.1-lp150.7.1.x86_64.rpm 4.0.1 x86_64 openSUSE Update Oss
ffmpeg-4-libavdevice-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
ffmpeg-4-libavcodec-devel = 4.0.1-lp150.2.2
ffmpeg-4-libavfilter-devel = 4.0.1-lp150.2.2
ffmpeg-4-libavformat-devel = 4.0.1-lp150.2.2
ffmpeg-4-libavresample-devel = 4.0.1-lp150.2.2
ffmpeg-4-libavutil-devel = 4.0.1-lp150.2.2
ffmpeg-4-libpostproc-devel = 4.0.1-lp150.2.2
ffmpeg-4-libswresample-devel = 4.0.1-lp150.2.2
ffmpeg-4-libswscale-devel = 4.0.1-lp150.2.2
libavdevice58 = 4.0.1-lp150.2.2
pkgconfig(libavcodec) >= 58.18.100
pkgconfig(libavfilter) >= 7.16.100
pkgconfig(libavformat) >= 58.12.100
pkgconfig(libavresample) >= 4.0.0
pkgconfig(libavutil) >= 56.14.100
pkgconfig(libpostproc) >= 55.1.100
pkgconfig(libswresample) >= 3.1.100
pkgconfig(libswscale) >= 5.1.100

Provides

Name Value
ffmpeg-4-libavdevice-devel = 4.0.1-lp150.2.2
ffmpeg-4-libavdevice-devel(x86-64) = 4.0.1-lp150.2.2
ffmpeg-devel = 4.0.1-lp150.2.2
libavdevice-devel = 4.0.1-lp150.2.2
pkgconfig(libavdevice) = 58.3.100

Conflicts

Name Value
ffmpeg-devel -
ffmpeg-private-devel < 4
ffmpeg-private-devel >= 5
libavcodec-devel < 4
libavcodec-devel >= 5
libavdevice-devel -
libavdevice-devel < 4
libavdevice-devel >= 5
libavfilter-devel < 4
libavfilter-devel >= 5
libavformat-devel >= 5
libavformat-devel < 4
libavresample-devel < 4
libavresample-devel >= 5
libavutil-devel < 4
libavutil-devel >= 5
libpostproc-devel < 4
libpostproc-devel >= 5
libswresample-devel < 4
libswresample-devel >= 5
libswscale-devel < 4
libswscale-devel >= 5

Download

Type URL
Binary Package ffmpeg-4-libavdevice-devel-4.0.1-lp150.2.2.x86_64.rpm
Source Package ffmpeg-4-4.0.1-lp150.2.2.src.rpm

Install Howto

Install ffmpeg-4-libavdevice-devel rpm package:

# zypper install ffmpeg-4-libavdevice-devel

Files

Path
/usr/include/ffmpeg/
/usr/include/ffmpeg/libavdevice/avdevice.h
/usr/include/ffmpeg/libavdevice/version.h
/usr/lib64/libavdevice.so
/usr/lib64/pkgconfig/libavdevice.pc
/usr/share/man/man3/libavdevice.3.gz

Changelog

2018-07-06 - tchvatal@suse.com
- Fix typo in swresample name
2018-07-04 - tchvatal@suse.com
- Conditionalize full build to be primary only on Leap15+
2018-07-03 - tchvatal@suse.com
- Add macros to allow conflicting with all other devel projects
to ensure we always install only one specific ffmpeg
2018-06-30 - tchvatal@suse.com
- Conditionalize the vidstab build to not pull it on old releases
- Conditionalize srt support to not pull it on older releases
- ------------------------------------------------------------------
2018-06-29 - 9+suse@cirno.systems
- Enable ffnvcodec when building with NVIDIA support
2018-06-29 - bjorn.lie@gmail.com
- Add pkgconfig(srt) BuildRequires and pass --enable-libsrt to
configure, enable srt support.
- Refresh patches with quilt:
* cve-2017-17555.diff
* ffmpeg-codec-choice.diff
* ffmpeg-libcdio_cdda-pkgconfig.patch
* ffmpeg-new-coder-errors.diff
2018-06-29 - 9+suse@cirno.systems
- Enable libxml2 (used by MPEG DASH demuxer)
2018-06-27 - jengelh@inai.de
- Update to new upstream release 4.0.1
* Fixed some integer overflows, undefined shifts, negative
shifts, division by 0, and a null pointer deref.
2018-06-18 - bjorn.lie@gmail.com
- Enable pkgconfig(vidstab) BuildRequires unconditionally, now
available in openSUSE.
2018-06-14 - tchvatal@suse.com
- Conditionalize openmpt build to be resolvable on Leap 42.3

See Also

Package Description
ffmpeg-4-libavfilter-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for FFmpeg's audio/video filter library
ffmpeg-4-libavfilter-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for FFmpeg's audio/video filter library
ffmpeg-4-libavfilter-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for FFmpeg's audio/video filter library
ffmpeg-4-libavformat-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavformat-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavformat-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for FFmpeg's stream format library
ffmpeg-4-libavresample-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavresample-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavresample-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for libavresample as present in FFmpeg
ffmpeg-4-libavutil-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libavutil-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libavutil-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for FFmpeg's utility library
ffmpeg-4-libpostproc-devel-4.0.1-lp150.10.1.x86_64.rpm Development files for the FFmpeg post-processing library
ffmpeg-4-libpostproc-devel-4.0.1-lp150.2.2.x86_64.rpm Development files for the FFmpeg post-processing library
ffmpeg-4-libpostproc-devel-4.0.1-lp150.7.1.x86_64.rpm Development files for the FFmpeg post-processing library
Advertisement
Advertisement